#version 330 core

// Interpolated values from the vertex shaders
in vec2 UV;
uniform sampler2D inputtex;
uniform sampler2D logotex;
uniform float logo;

// output
layout(location = 0) out vec4 color;

void main(){
  color = texture(inputtex, UV) + logo * texture(logotex, vec2(UV.x, 1.0 - UV.y));
}
